@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap');

.lato-light {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 300;
}
.lato-regular {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 400;
}
.lato-bold {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 700;
}
.lato-black {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 900;
}

:root {
  --font-family-body: "Lato",sans-serif;
  --font-family-headlines: "Lato",sans-serif;
  --color-orange: #ED6B5B;
  --color-purple: #854694;
  --color-txt-light: #ffffff;
  --color-txt-dark: #111111;
  --color-bkgnd-light: #f2f2f2;
  --color-bkgnd-dark: #101010;
}

/* ----- Reset ----- */
* {
  box-sizing: border-box;
  font-family: var(--font-family-body);
  font-weight: 400;
  margin: 0;
  padding: 0;
}
html {
  font-size: 16px;
  font-style: normal;
  scroll-behavior: smooth;
}
body {
  background: var(--color-bkgnd-dark);
  color: var(--color-txt-light);
  height: 100vh;
}
li {
  list-style: none;
}
a {
  color: var(--color-purple);
  text-decoration: none;
}
a:hover {
  color: var(--color-orange);
}

header {
  animation: subtleAppearance 2s ease-in-out 1s 1 forwards;
  backdrop-filter: blur(15px);
  background: rgba(255, 255, 255, 1);
  opacity: 0;
  padding: 0 2rem;
  position: fixed;
  width: 100%;
  z-index: 10;
}
main {
  width: 100%;
}
.container {
  padding: 0 2rem;
  max-width: 1200px;
  width: 100%;
  z-index: 1;
}
.img-responsive {
  width: 100%;
}



/* ----- Navigation ----- */
.navbar {
  align-items: center;
  display: flex;
  flex-direction: row;
  height: 60px;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 1200px;
  width: 100%;
}
.navbar .logo img {
  max-width: 250px;
  width: 100%;
}
.navbar .links {
  display: flex;
  gap: 2rem;
}
.navbar .toggle-button {
  color: var(--color-txt-dark);
  cursor: pointer;
  display: none;
  font-size: 1.5rem;
}
.action-button {
  background-color: var(--color-purple);
  border: none;
  border-radius: 10px;
  color: var(--color-bkgnd-light);
  cursor: pointer;
  font-size: 0.8rem;
  font-weight: 700;
  outline: none;
  padding: 0.5rem 1rem;
  transition: scale 0.2 ease;
}
.action-button:hover {
  background-color: var(--color-orange);
  color: var(--color-txt-light);
  scale: 1.05;
}
.action-button:active {
  scale: 0.95;
}


/* ----- Dropdown menu ----- */
.dropdown-menu {
  backdrop-filter: blur(15px);
  background: rgba(255, 255, 255, 1);
  border-radius: 4px;
  display: none;
  height: 0;
  margin: 20px;
  margin-top: 40px;
  overflow: clip;
  position: absolute;
  right: 2rem;
  top: 20px;
  transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  width: 300px;
}
.dropdown-menu.open {
  height: auto;
  margin-top: 60px;
}
.dropdown-menu li {
  align-items: center;
  display: flex;
  justify-content: center;
  padding: 0.7em;
}
.dropdown-menu .action-button {
  display: flex;
  justify-content: center;
  text-align: center;
  width: 100%;
}
/* ----- Responsive menu ----- */
@media (max-width: 992px) {
  .navbar .links,
  .navbar .action-button {
    display: none;
  }
  .navbar .toggle-button {
    display: block;
  }
  .dropdown-menu {
    display: block;
  }
  .dropdown-menu .action-button {
    display: block;
  }
}
@media (max-width: 767px) {
  .dropdown-menu {
    left: 2rem;
    width: unset;
  }
}


/* ----- Hero ----- */
.md-hero {
  align-items: center;
  background: url('images/skilltex-hero-banner-12.jpg') no-repeat center center;
  background-size: cover;
  color: #ffffff;
  display: flex;
  flex-direction: column;
  height: 90vh;
  justify-content: center;
  width: 100%;
}
.appearing-logo {
  animation: subtleAppearance 2s ease-in-out 1 forwards;
  opacity: 0;
  text-align: center;
  width: 80%;
}
.appearing-logo img {
  width: 100%;
}

@keyframes subtleAppearance {
  0% {
    opacity: 0;
    transform: translateY(-8%);
  }
  60% {
    opacity: 0;
    transform: translateY(-8%);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.claim {
  color: #fcfcfc;
  font-size: 1rem;
  margin: auto;
  margin-top: 3rem;
  text-align: center;
  text-transform: uppercase;
  text-wrap: balance;
  width: 100%;
}
@media (min-width: 450px) {
  .claim {
    font-size: 1.4rem;
  }
}
@media (min-width: 767px) {
  .claim {
    font-size: 1.8rem;
    width: 80%;
  }
}
@media (min-width: 992px) {
  .claim {
    font-size: 2rem;
  }
}

/* ----- Content ----- */
.md-content {
  align-items: center;
  background-color: #101010;
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 90dvh;
  padding: 60px 0;
  text-align: left;
}
.container h2 {
  font-size: 4rem;
  font-weight: 300;
  margin-bottom: 2rem;
}
.container p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  text-align: left;
}
.container b {
  font-weight: 900;
}
.container > p + p {
  margin-top: 1rem;
}

@media (min-width: 767px) {
  .container > p,
  .container > div {
    padding-left: 20%;
  }
}
.container i {
  font-size: 2rem;
  margin-right: 32px;
  position: relative;
}
.highlights {
  margin-top: 60px;
  margin-bottom: 60px;
}
.highlights p {
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  padding: 16px 0;
}
.highlights p:first-child {
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}
.list-of-files {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
.file-icon a {
  align-items: center;
  display: flex;
  flex-direction: row;
  font-size: 0.9rem;
  gap: 16px;
  padding: 24px;
}
@media (min-width: 767px) {
  .list-of-files {
    flex-direction: row;
  }
  .file-icon a {
    flex-direction: column;
  }
}
.file-icon svg {
  height: 40px;
  stroke: var(--color-orange);
  fill: var(--color-orange);
}
.file-icon svg:hover {
  fill: var(--color-txt-light);
}


/* ----- Contact ----- */
.md-content a,
.md-content a:visited {
  color: var(--color-orange);
}
.md-content a:hover,
.md-content a:active {
  color: var(--color-txt-light);
  text-decoration: underline;
}


/* ----- Gradient ----- */
.gradient-orange {
  background: rgb(237,107,91);
  background: radial-gradient(circle, rgba(237,107,91,1) 0%, rgba(237,107,91,0) 50%);
}
.gradient-purple {
  background: rgb(133,70,148);
  background: radial-gradient(circle, rgba(133,70,148,1) 0%, rgba(133,70,148,0) 50%);
}
.gradient-x {
  background: rgb(237,107,91);
  background: linear-gradient(135deg, rgba(237,107,91,1) 0%, rgba(133,70,148,1) 100%);
}
.gradient {
  height: 1000px;
  opacity: 0.2;
  position: absolute;
  right: -20%;
  top: 100%;
  width: 1000px;
}
.gradient-glow {
  animation: glow 6s ease-in-out infinite;
  opacity: 0.5;
  width: 80%;
}
@keyframes glow {
  0% {
    opacity: 0.2;
    transform: translateY(-4%);
  }
  60% {
    opacity: 0.4;
    transform: translateY(4%);
  }
  100% {
    opacity: 0.2;
    transform: translateY(-4%);
  }
}

/* ----- Footer ----- */
footer {
  background-color: black;
  color: #cccccc;
  padding: 2rem 0;
  text-align: center
}


/* ----- Parallax ----- */
.parallax__container {
  clip: rect(0, auto, auto, 0);
  height: 100%;
  left: 0;
  overflow: clip;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: -1;
}
.parallax__bg {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.parallax {
  position: fixed;
  top: 0;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  width: 100%;
}


.parallax-window {
  height: 400px;
}
@media (min-width: 767px) { .parallax-window { height: 300px; } }
@media (min-width: 991px) { .parallax-window { height: 400px; } }
@media (min-width: 1200px) { .parallax-window { height: 500px; } }

.dark-overlay {
  background: rgba(0,0,0,.7);
  bottom: 0;
  height: calc(100%);
  object-fit: cover;
  position: absolute;
  width: 100%;
  z-index: -1;
}